* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

body {
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    position: relative;
}

.bgimg {
    position: absolute;
    width: 100%;
    height: 100%;
    filter: brightness(20%);
    z-index: -1;
    top: 0;
    left: 0;
    background: url(../images/bg.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.gamename {
    text-align: center;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

h1,
h3,
h2 {
    background: #C6FFDD;
    /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #f7797d, #FBD786, #C6FFDD);
    /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #f7797d, #FBD786, #C6FFDD);
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent
}

.container {
    display: grid;
    padding: 20px;
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas:
        "scorecontainer  scorecontainer gif"
        "win  win gif"
    ;
}

.gamename,
.scorecontainer,
.wincontainer,
.gifcontainer {
    display: flex;
    align-items: center;
}


.container .scorecontainer {
    grid-area: scorecontainer;
    padding: 10px;
}

.container .wincontainer {
    grid-area: win;
    padding: 10px;
}

.container .gifcontainer {
    grid-area: gif;
    padding: 10px;
    justify-content: center;
    display: none;
}

.gifcontainer>img {
    height: 160px;
    width: 160px;
}

.gridcontainer {
    width: 100%;
    padding: 15px;
    display: flex;
    height: 60vh;
    justify-content: center;
    align-items: center;
}

.gridcontainer #grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2px;
}

.gridcontainer #grid>img {
    cursor: pointer;
}

.container .wincontainer>.win {
    animation-name: letter-spacing;
    animation-duration: 1s;
    animation-timing-function: ease;
    animation-iteration-count: infinite;
}

@keyframes letter-spacing {
    from {
        transform: scale(1);
    }

    to {
        transform: scale(1.05);
    }
}